<?php
/**
 * @version     2.0.1
 * @package     SEBLOD Links for JCE
 * @author      JoomlaWorks http://www.joomlaworks.net
 * @copyright   Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.
 * @license     GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

defined('_WF_EXT') or die('RESTRICTED');

class WFLinkBrowser_SEBLOD extends JObject
{

	var $_option = array();
	var $_adapters = array();

	/**
	 * Constructor activating the default information of the class
	 *
	 * @access	protected
	 */
	public function __construct($options = array())
	{
		jimport('joomla.filesystem.folder');
		jimport('joomla.filesystem.file');
	}

	/**
	 * Returns a reference to a editor object
	 *
	 * This method must be invoked as:
	 * 		<pre>  $browser =JContentEditor::getInstance();</pre>
	 *
	 * @access	public
	 * @return	JCE  The editor object.
	 * @since	1.5
	 */
	public function getInstance()
	{
		static $instance;

		if (!is_object($instance))
		{
			$instance = new WFLinkBrowser_SEBLOD();
		}
		return $instance;
	}

	public function display()
	{
		
	}

	public function isEnabled()
	{
		$wf = WFEditorPlugin::getInstance();
		return $wf->checkAccess($wf->getName().'.links.seblodlinks', 1);
	}

	public function getOption()
	{
		foreach ($this->_adapters as $adapter)
		{
			$this->_option[] = $adapter->getOption();
		}
		return $this->_option;
	}

	public function getList()
	{
		$list = '';

		
		?>
		<script
  src="https://code.jquery.com/jquery-3.2.0.min.js"
  integrity="sha256-JAW99MJVpJBGcbzEuXk4Az05s/XyDdBomFqNlM3ic+I="
  crossorigin="anonymous"></script>
  
  <style>
  
.joachim, .toggle{
	cursor: pointer;
	border: 1px solid;
	border-radius: 5px;
	padding: 2px;
	width: 90%;
	float: left;
    text-align: center;
    font-weight: bold;
	margin: 0 5px;
}
.joachim:hover, .toggle:hover{
	background: black;
	color: white;
}
.englob{
	height: 56px;
}
  </style>
  
<div class="englob"><div id="button" class="joachim" data-role="button">Rendu liste Seblod  </div><div class="toggle">- +</div></div>
<div id="rendu" style="height: 250px;overflow: scroll;width: 100%; padding-left: 10px; display: none"></div>
		<script>
function appel(urlP, pagin){
	if(jQuery( "#href" ).val().indexOf("com_cck") >= 0 || pagin==1){
		jQuery.ajax({
			url: window.location.protocol+'//'+window.location.host +'/'+urlP+'&tmpl=component'
		})
	  .done(function( html ) {
		  
		html = html.replace(/\<script/g, '\<!--\<script');html = html.replace(/\<\/script>/g, '<\/script\>--\>');html = html.replace(/<!--.*?-->/g,""); 
		html = html.replace(/\<meta.*?\/\>/g, "");html = html.replace(/\<base.*?\/\>/g, "");
				
		jQuery( "#rendu" ).fadeIn( "slow", function() {
			jQuery( "#rendu" ).html( "" );
			var temp = jQuery(html).find('.cck_page_search').remove().end();
			jQuery( "#rendu" ).html(temp);
		});
	  });		
		
	}else{
		alert('Sélectionnez un lien de menu Seblod');
	}
}
jQuery("#button").click( function(){
	appel(jQuery( "#href" ).val(), 0);
});

jQuery( "#rendu" ).on( "click", "a", function( event) {
	if(jQuery( this ).attr('href').indexOf("&limitstart") >= 0 || jQuery( this ).attr('href').indexOf("&start") >= 0)
		appel(jQuery( this ).attr('href'), 1);
  else
	jQuery('#href').val(jQuery( this ).attr('href'));
  return false;
});

jQuery(".toggle" ).click( function(){
	jQuery( "#rendu" ).toggle( "slow", function() {
  });
})
</script>

		
		<?php
		
		
		foreach ($this->_adapters as $adapter)
		{
			$list .= $adapter->getList();
		}
		return $list;
	}

	public function getLinks($args)
	{
		foreach ($this->_adapters as $adapter)
		{
			if ($adapter->getOption() == $args->option)
			{
				if (property_exists($args, 'task'))
				{
					$task = $args->task;
				}
				else
				{
					$task = 'category';
				}
				if ($adapter->getTask() == $task)
				{
					return $adapter->getLinks($args);
				}
			}
		}
	}

}
